TechDraw Quadrant

From FreeCAD Documentation
Revision as of 16:34, 15 October 2019 by Mario52 (talk | contribs) ((Vertical Docnav))
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Other languages:
English • ‎français • ‎italiano

Techdraw-quadrant.svg TechDraw Quadrant

Menu location
TechDraw → Quadrant
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw CosmeticVertex, TechDraw Midpoints


Description

The Quadrant tool adds cosmetic vertices at the 90/180/270 degree points of a circular Edge. The 0 degree vertex should already be there as a geometric vertex.

TechDraw CosmeticQuadrant Sample.png

Cosmetic vertices at quadrant points of a circle


How to use

  1. Select one or more (circular) Edges in a View.
  2. Press the Techdraw-quadrant.svg Quadrant button.
  3. Cosmetic vertices will be added at the quarter-points of the edges.

This tool can be used on any edge, not just circles.

Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()